epp_Exception (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_Exception class

### org.openrtk.idl.epprtk

# Class epp_Exception

- `org.omg.CORBA.UserException`
- - `org.openrtk.idl.epprtk.epp_Exception`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Exception`
`extends org.omg.CORBA.UserException`
`implements org.omg.CORBA.portable.IDLEntity`

Class that acts as a container for any exception thrown if a communication error occurs with the EPP server or if the EPP server returns an error code. An EPP response code is considered an error code if the numeric value is greater than or equal to 2000. Communication errors are not official EPP errors but the sake of consistency, they have been defined in the RTK with values in the 2600-2699 range. The error codes and symbolic names for these are defined in epp_Action. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_Exception.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

  ## Field Summary
  `epp_Result[]` | `m_details` The array of error details.
  `String[]` | `m_ext_strings`
  `epp_TransID` | `m_trans_id`

  ## Constructor Summary
  `epp_Exception()` Empty constructor
  `epp_Exception(epp_Result[] _m_details)` The constructor with initializing variables.
  `epp_Exception(epp_Result[] _m_details, epp_TransID _m_trans_id, String[] _m_ext_strings)` The constructor with initializing variables.

  ## Method Summary
  `epp_Result[]` | `getDetails()` Accessor method for the array of error details
  `String[]` | `getExtStrings()`
  `epp_TransID` | `getTransId()`
  `void` | `setDetails(epp_Result[] value)` Accessor method for the array of error details
  `void` | `setExtStrings(String[] value)`
  `void` | `setTransId(epp_TransID value)`
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_details

    public epp_Result[] m_details

> The array of error details.
> See Also:
>   `setDetails(epp_Result[])`, `getDetails()`

### m_ext_strings

    public String[] m_ext_strings

### m_trans_id

    public epp_TransID m_trans_id

## Constructor Details

### epp_Exception

    public epp_Exception()

> Empty constructor

### epp_Exception

    public epp_Exception(epp_Result[] _m_details)

> The constructor with initializing variables.
> Parameters:
>   `_m_details` - The array of error details

### epp_Exception

    public epp_Exception(epp_Result[] _m_details,
                         epp_TransID _m_trans_id,
                         String[] _m_ext_strings)

> The constructor with initializing variables.
> Parameters:
>   `_m_details` - The array of error details

## Method Details

### getDetails

    public epp_Result[] getDetails()

> Accessor method for the array of error details
> Returns:
>   The array of error details
> See Also:
>   `m_details`

### getExtStrings

    public String[] getExtStrings()

### getTransId

    public epp_TransID getTransId()

### setDetails

    public void setDetails(epp_Result[] value)

> Accessor method for the array of error details
> Parameters:
>   `value` - The array of error details
> See Also:
>   `m_details`

### setExtStrings

    public void setExtStrings(String[] value)

### setTransId

    public void setTransId(epp_TransID value)

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS